dashboard/urls.py
from django.urls import path
from .views import dashboard_student,dashboard_teacher, profile, editprofile
from login.views import logoutUser

urlpatterns = [
    path('<str:username>/student', dashboard_student, name='dashboard_student'),
    path('<str:username>/teacher', dashboard_teacher, name='dashboard_teacher'),
    path('logout', logoutUser, name='logout'),
    path('<str:username>/profile', profile, name='profile'),
    path('<str:username>/editprofile', editprofile, name='edit_profile'),
    
    

]

login/urls.py
from django.urls import path
from . import views


app_name = 'login'

urlpatterns = [
#     path('', views.index, name= 'index'),
    path('', views.login_view, name='home'),
    path('logout', views.logoutUser, name='out')
    # path('student/', views.student, name='student'),
    # path('teacher/', views.teacher, name='teacher'),

]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('success', views.success_page, name='success'),
    path('suggestion_json', views.save_json, name='json')
]

project_name/urls.py
from django.contrib import admin
from django.urls import include, path
import dashboard.urls as dashboard
import login.urls as login
import grade_viewer.urls as grade
from django.conf import settings
from TaskManager import urls as taskmanager
from django.conf.urls.static import static
import task_viewer.urls as task_viewer



urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('dashboard/', include(dashboard)),
    path('login/', include(login)),
    path('grade/', include(grade)),
    path('task-viewer/', include(task_viewer)),
    path('taskmanager/', include(taskmanager)),

]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

dashboard/models.py
from django.db import models
from login.models import User #add this
from django.dispatch import receiver #add this
from django.db.models.signals import post_save
from datetime import datetime
# SOURCE: https://www.ordinarycoders.com/django-custom-user-profile

class Profile(models.Model):   
    user = models.OneToOneField(User, on_delete=models.CASCADE)
    image = models.ImageField(default = 'undraw_profile.svg', upload_to='profile_pics')
    name = models.CharField(max_length=256, default="Enter Name")
    birth_date = models.DateField(default=datetime.now)
    address = models.CharField(max_length=256, default="Enter Address")
	
    

    @receiver(post_save, sender=User) #add profile if user is created
    def create_user_profile(sender, instance, created, **kwargs):
        if created:
            Profile.objects.create(user=instance)
 
    @receiver(post_save, sender=User) #save profile if user is saved
    def save_user_profile(sender, instance, **kwargs):
        instance.profile.save()

dashboard/forms.py
from django import forms
from .models import Profile



class ProfileForm(forms.ModelForm):

    class Meta:
        model = Profile
        fields = ['image','name','birth_date','address']

dashboard/views.py
from django.shortcuts import render, redirect
from django.contrib.auth.decorators import login_required
from django.shortcuts import get_object_or_404, render
from django.http import  HttpResponseRedirect
from login.models import User
from .models import Profile
from .forms import ProfileForm
from django.http import JsonResponse


# Create your views here.

@login_required(login_url="/login/")
#@student_required(login_url="/login/",redirect_field_name='<str:username>/student')
def dashboard_student(request,username):

    student = request.user
    #subject = student.subjects.all()
    #tasks = subject.task_set.all()

    if student.is_student:
        return render(request, 'dashboard_student.html', {'profile': student.profile ,'user':student.get_username(), 'subjects': student.subjects.all(), })
    
    else:
        return redirect('/dashboard/'+student.get_username()+'/teacher')
        
   

@login_required(login_url="/login/")
#@teacher_required(login_url="/login/",redirect_field_name='<str:username>/teacher')
def dashboard_teacher(request,username):
    
    teacher = request.user

    if teacher.is_teacher:
        return render(request, 'dashboard_teacher.html', {'profile': teacher.profile,'user':teacher.get_username(), 'subjects': teacher.subjects.all(),})

    else:
        return redirect('/dashboard/'+teacher.get_username()+'/student')
    

@login_required(login_url="/login/")
def profile(request,username):
    userprofile = request.user.profile
    response = {'userprofile' : userprofile,'profile': userprofile,'user':request.user.get_username(),}
    return render(request, 'profile.html', response)
    
    
@login_required(login_url="/login/")
def editprofile(request,username):
    userrole =  request.user
    
    if request.method == 'POST':
        # create a form instance and populate it with data from the request:
        form = ProfileForm(request.POST or None,request.FILES or None, instance=request.user.profile)
        # check whether it's valid:
        if form.is_valid():
            # process the data in form.cleaned_data as required
            custom_form =form.save(False)
            custom_form.user = userrole
            custom_form.save()
            # ...
            # redirect to a new URL:
           
            return redirect('/dashboard/'+userrole.get_username()+'/profile')

    # if a GET (or any other method) we'll create a blank form
    else:
        form = ProfileForm()
        


    response = {'form':form , 'profile': userrole.profile,'user':userrole.get_username(),}

    return render(request, 'profileform.html', response )

dashboard/templates/base.html
{% load bootstrap5 %}
{% bootstrap_css}

<!DOCTYPE html>
<html lang="en">
<title>{{ title_name }}</title>

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <div class="page-header">
    <h1>Example Page Header</h1>
  </div>

  

  

  </head>

dashboard/templates/dashboard_student.html
{% extends "index.html" %}

{% block navbar %}

<li class="nav-item active">
    <a class="nav-link" href="index.html">
        <i class="fas fa-fw fa-tachometer-alt"></i>
        <span>Task Viewer</span></a>
</li>

<li class="nav-item active">
    <a class="nav-link" href="index.html">
        <i class="fas fa-fw fa-tachometer-alt"></i>
        <span>Grade Viewer</span></a>
</li>



{% endblock navbar %}

{% block firstrow %}

    
<div class="col">
    <div class="card shadow mb-4">
        <!-- Card Header - Dropdown -->
        <div
            class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-primary">Comments</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
                <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in"
                    aria-labelledby="dropdownMenuLink">
                    <div class="dropdown-header">Dropdown Header:</div>
                    <a class="dropdown-item" href="#">Action</a>
                    <a class="dropdown-item" href="#">Another action</a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" href="#">Something else here</a>
                </div>
            </div>
        </div>
        <!-- Card Body -->
        <div class="card-body">
            <div class="chart-area">
                <canvas id="myAreaChart"></canvas>
            </div>
        </div>
    </div>
</div>

<!-- Pie Chart -->
<div class="col">
    <div class="card shadow mb-4">
        <!-- Card Header - Dropdown -->
        <div>
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-primary">Calendar</h6>
            </div>
        </div>
        <!-- Card Body -->
        <div class="card-body">
            
            </div>
        </div>
    </div>
</div>
    {% endblock firstrow %}

        {% block secondrow %}

        {% for subject in subjects %}
        <div class="row px-4 pb-4 ">
            <div class ="col ">

                <div class="card shadow ">
                    <div class="card-body">
                      <h5 class="card-title">{{subject}}</h5>
                      <p><a href="{% url 'view-task' name=user identitas=subject.id tambahan=subject %}" style="margin-top: 10px; margin-left: 3%; color: whitesmoke;" class="btn button-color btn-primary">Task Viewer</a>
                        <a href="{% url 'grade' subject %}" style="margin-top: 10px; margin-left: 3%;  color: whitesmoke;" class="btn button-color btn-primary">View Grades</a></p> 
                    </div>
                </div>

            </div>
            
        </div>

        {% endfor %}

        {% endblock secondrow %}

dashboard/templates/dashboard_teacher.html
{% extends "index.html" %}

{% block navbar %}


<li class="nav-item active">
    <a class="nav-link" href="index.html">
        <i class="fas fa-fw fa-tachometer-alt"></i>
        <span>Task Manager</span></a>
</li>

{% endblock navbar %}

{% block firstrow %}
<div class="col">
    <div class="card shadow mb-4">
        <!-- Card Header - Dropdown -->
        <div
            class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-primary">Comments</h6>
            
        </div>
        <!-- Card Body -->
        <div class="card-body">
            <div class="chart-area">
                <canvas id="myAreaChart"></canvas>
            </div>
        </div>
    </div>
</div>

<!-- Pie Chart -->
<div class="col">
    <div class="card shadow mb-4">
        <!-- Card Header - Dropdown -->
        <div>
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-primary">Calendar</h6>
            </div>
        </div>
        <!-- Card Body -->
        <div class="card-body">
            
            </div>
        </div>
    </div>
</div>

{% endblock firstrow %}

{% block secondrow %}
{% for subject in subjects %}
<div class="row px-4 pb-4 ">
    <div class ="col ">

        <div class="card shadow ">
            <div class="card-body">
              <h5 class="card-title">{{subject}}</h5>
              <a href="{% url 'taskmanager' name=user identitas=subject.id tambahan=subject %}" style="margin-top: 10px; margin-left: 3%; font-size:larger; color: whitesmoke;" class="btn button-color btn-primary">Task Manager</a>
              
            </div>
        </div>

    </div>
    
</div>
{% endfor %}


{% endblock secondrow %}

dashboard/templates/index.html
{% load static %}

<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>LeaN - Dashboard</title>

    <!-- Custom fonts for this template-->
    <link href="{% static 'vendor/fontawesome-free/css/all.min.css' %}" rel="stylesheet" type="text/css">

    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="{% static 'css/sb-admin-2.css' %}" rel="stylesheet">
</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
        <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

            <!-- Sidebar - Brand -->
            <a class="sidebar-brand d-flex align-items-center justify-content-center" href="index.html">
                <div class="sidebar-brand-icon rotate-n-15">
                    <i class="fas fa-laugh-wink"></i>
                </div>
                <div class="sidebar-brand-text mx-3 text-capitalize">LeaN</div>
            </a>

            <!-- Divider -->
            <hr class="sidebar-divider my-0">

            <!-- Nav Item - Dashboard -->
            <li class="nav-item active">
                <a class="nav-link" href="/dashboard/">
                    <i class="fas fa-fw fa-tachometer-alt"></i>
                    <span>Dashboard</span></a>
            </li>
            {% block navbar %}

            

            {% endblock navbar %}

            
            

            <!-- Sidebar Toggler (Sidebar) -->
            <div class="text-center d-none d-md-inline">
                <button class="rounded-circle border-0" id="sidebarToggle"></button>
            </div>

            

        </ul>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                    <!-- Sidebar Toggle (Topbar) -->
                    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                        <i class="fa fa-bars"></i>
                    </button>

                    <!-- Topbar Search -->
                    

                    <!-- Topbar Navbar -->
                    <ul class="navbar-nav ml-auto">

                        <!-- Nav Item - Search Dropdown (Visible Only XS) -->
                        

                        

                        <!-- Nav Item - User Information -->
                        <li class="nav-item dropdown no-arrow">
                            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ user }}</span>
                                <img class="img-profile rounded-circle"
                                    src={{profile.image.url}}>
                            </a>
                            <!-- Dropdown - User Information -->
                            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                aria-labelledby="userDropdown">
                                <a class="dropdown-item" href= "{% url 'profile' user %}" >
                                    <i class="fas fa-user fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Profile
                                </a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">
                                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Logout
                                </a>
                            </div>
                        </li>

                    </ul>

                </nav>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Dashboard</h1>
                        
                    </div>

                   

                    <!-- Content Row 1 untuk student-->
                    <div class="row  pb-4">
                        {% block firstrow %}
                        {% endblock firstrow %}
                        
                    </div>

                    <!-- Content row 2, subjects untuk teacher-->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4 px-4  ">
                        <h1 class="h3 mb-0 text-gray-800">Classes</h1>
                        
                    </div>

                        {% block secondrow %}
                        {% endblock secondrow %}

    
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

            <!-- Footer -->
            
            <!-- End of Footer -->

        </div>
        <!-- End of Content Wrapper -->

    </div>
    <!-- End of Page Wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
                    <a class="btn btn-primary" href="{% url 'logout' %}">Logout</a>
                </div>
            </div>
        </div>
    </div>

    <!-- Bootstrap core JavaScript-->
    <script src="{% static 'vendor/jquery/jquery.min.js' %}"></script>
    <script src="{% static 'vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

    <!-- Core plugin JavaScript-->
    <script src="{% static 'vendor/jquery-easing/jquery.easing.min.js' %}"></script>

    <!-- Custom scripts for all pages-->
    <script src="{% static 'js/sb-admin-2.min.js' %}"></script>

    <!-- Page level plugins -->
    <script src="{% static 'vendor/chart.js/Chart.min.js' %}"></script>

    <!-- Page level custom scripts -->
    <script src="{% static 'js/demo/chart-area-demo.js' %}"></script>
    <script src="{% static 'js/demo/chart-pie-demo.js' %}"></script>
    <script>
        $(document).ready(function() {
                $('#ajax').submit(function(e) {
                    e.preventDefault();  // disables submit's default action
                    var data = new FormData($('#ajax').get(0));
                    console.log(data);

                    $.ajax({
                        url: '/upload/',
                        type: 'POST',
                        data: data,
                        processData: false,
                        contentType: false,
                        success: function(data) {
                            data = JSON.parse(data); // converts string of json to object
                            $('#photo').html('<img src="'+data.url+ '" />');
                            // <h2>title</h2> You do not use 'title' in your project !!
                            // alt=title see previous comment
                        }
                    });
                    return false;
                });
            });
            </script>
</body>

</html>

dashboard/templates/profile.html
{% load static %}
{% load crispy_forms_tags %} 

<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>LeaN - Dashboard</title>

    <!-- Custom fonts for this template-->
    <link href="{% static 'vendor/fontawesome-free/css/all.min.css' %}" rel="stylesheet" type="text/css">

    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="{% static 'css/sb-admin-2.css' %}" rel="stylesheet">

    

</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
        <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

            <!-- Sidebar - Brand -->
            <a class="sidebar-brand d-flex align-items-center justify-content-center" href="index.html">
                <div class="sidebar-brand-icon rotate-n-15">
                    <i class="fas fa-laugh-wink"></i>
                </div>
                <div class="sidebar-brand-text mx-3 text-capitalize">LeaN</div>
            </a>

            <!-- Divider -->
            <hr class="sidebar-divider my-0">

            <!-- Nav Item - Dashboard -->
            <li class="nav-item active">
                <a class="nav-link" href="/dashboard/">
                    <i class="fas fa-fw fa-tachometer-alt"></i>
                    <span>Dashboard</span></a>
            </li>
      

            
            

            <!-- Sidebar Toggler (Sidebar) -->
            <div class="text-center d-none d-md-inline">
                <button class="rounded-circle border-0" id="sidebarToggle"></button>
            </div>

            

        </ul>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                    <!-- Sidebar Toggle (Topbar) -->
                    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                        <i class="fa fa-bars"></i>
                    </button>

                    <!-- Topbar Search -->
                    

                    <!-- Topbar Navbar -->
                    <ul class="navbar-nav ml-auto">

                        <!-- Nav Item - Search Dropdown (Visible Only XS) -->
                        

                        

                        <!-- Nav Item - User Information -->
                        <li class="nav-item dropdown no-arrow">
                            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ user }}</span>
                                <img class="img-profile rounded-circle"
                                    src={{profile.image.url}}>
                            </a>
                            <!-- Dropdown - User Information -->
                            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                aria-labelledby="userDropdown">
                                <a class="dropdown-item" href= "{% url 'profile' user %}" >
                                    <i class="fas fa-user fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Profile
                                </a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">
                                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Logout
                                </a>
                            </div>
                        </li>

                    </ul>

                </nav>
                <!-- End of Topbar -->     <!-- Begin Page Content -->
     <div class="container-fluid">

        <!-- Page Heading -->
        <div class="d-sm-flex align-items-center justify-content-between mb-4 mt-4">
        <h1 class="h3 mb-0 text-gray-800">Profile</h1>
        </div>          

        {% if messages %}
          {% for message in messages %}
          <div class="alert alert-{{ message.tags }}" role="alert">{{ message }}</div>
          {% endfor %}
        {% endif %}

        <!-- Main Content Here -->
        <div class="row">
          <div class="col-lg-2"></div>
          <div class="col-lg-3 my-5">
            <img src="{{profile.image.url}}" class="rounded float-right" height="300px" width="300px">
          </div>
          <div class="card o-hidden border-0 shadow-lg my-5 col-lg-5">
            <div class="card-body">
                <h2>{{ user }}</h2>
                <p><strong>Name: </strong> {{userprofile.name}} </p>
                <p><strong>Birth Date: </strong> {{ userprofile.birth_date}} </p>
                <p><strong>Address: </strong> {{ userprofile.address }} </p>
                <a href="{% url 'edit_profile' user %}" class="btn btn-sm btn-primary shadow-sm">Update Profile</a>
            </div>
          </div>
        </div>



    </div>
    <!-- /.container-fluid -->

               
            <!-- Footer -->
            
            <!-- End of Footer -->

        </div>
        <!-- End of Content Wrapper -->

    </div>
    <!-- End of Page Wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
                    <a class="btn btn-primary" href="{% url 'login:home' %}">Logout</a>
                </div>
            </div>
        </div>
    </div>
    <!-- Bootstrap core JavaScript-->
    <script src="{% static 'vendor/jquery/jquery.min.js' %}"></script>
    <script src="{% static 'vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

    <!-- Core plugin JavaScript-->
    <script src="{% static 'vendor/jquery-easing/jquery.easing.min.js' %}"></script>

    <!-- Custom scripts for all pages-->
    <script src="{% static 'js/sb-admin-2.min.js' %}"></script>

    <!-- Page level plugins -->
    <script src="{% static 'vendor/chart.js/Chart.min.js' %}"></script>

    <!-- Page level custom scripts -->
    <script src="{% static 'js/demo/chart-area-demo.js' %}"></script>
    <script src="{% static 'js/demo/chart-pie-demo.js' %}"></script>

    <script>
        $(document).ready(function() {
                $('#ajax').submit(function(e) {
                    e.preventDefault();  // disables submit's default action
                    var data = new FormData($('#ajax').get(0));
                    console.log(data);

                    $.ajax({
                        url: '/upload/',
                        type: 'POST',
                        data: data,
                        processData: false,
                        contentType: false,
                        success: function(data) {
                            data = JSON.parse(data); // converts string of json to object
                            $('#photo').html('<img src="'+data.url+ '" />');
                            // <h2>title</h2> You do not use 'title' in your project !!
                            // alt=title see previous comment
                        }
                    });
                    return false;
                });
            });
            </script>

    

</body>

        